Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class FieldInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.FieldInfo

public final class FieldInfo
extends InfoObject

Provides information about a data field type defined by a plugin. Plugins can expose data associated with an external event as named fields that can be referenced from an evaluator expression.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginField`, Serialized Form

Field Summary
`static FieldInfo` | `DEFAULT_FIELD` A built-in field type that supports expression validation but not evaluation.
`static int` | `KEY_FIELD` Key value to retrieve the `PluginField` implementation class name.
`static FieldInfo` | `XMLFIELD` A built-in field type that returns XML single-element textual values.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`FieldInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, java.lang.String[] classNames, boolean supportsQualifiers)` Create a new `FieldInfo`.

Method Summary
`boolean` | `supportsQualifiers()` Whether this field type supports dot-delimited qualified names.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_FIELD

    public static final int KEY_FIELD

  Key value to retrieve the `PluginField` implementation class name. The expression evaluator uses objects of this class when parsing and evaluating expressions that reference fields of this type, supplied by the plugin.

### DEFAULT_FIELD

    public static final FieldInfo DEFAULT_FIELD

  A built-in field type that supports expression validation but not evaluation. This field type supports qualifiers. It is used to validate expressions that reference plugin-supplied data fields if the plugin itself is not currently loaded.

### XMLFIELD

    public static final FieldInfo XMLFIELD

  A built-in field type that returns XML single-element textual values. This field type supports qualifiers (because XML is hierarchical).

Constructor Detail

### FieldInfo

    public FieldInfo(java.lang.String pluginName,
                     int ID,
                     java.lang.String name,
                     java.lang.String description,
                     java.lang.String[] classNames,
                     boolean supportsQualifiers)

  Create a new `FieldInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this field type.
    `ID` - The unique plugin-supplied identifier for this field type.
    `name` - The localized name of this field type.
    `description` - The localized description of this field type.
    `classNames` - A single-element array to identify plugin-supplied classes related to this field type. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `supportsQualifiers` - Whether this field type supports dot-delimited qualified names. The expression evaluator uses this flag to determine whether a qualified field reference is valid in an expression in a plugin start, event or event key.

Method Detail

### supportsQualifiers

    public boolean supportsQualifiers()

  Whether this field type supports dot-delimited qualified names.

  Returns:
    `true` if qualified names are supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)